Subject: Re: [Intel-gfx] linux-next: Tree for Jul 25 [ call-trace: drm | drm-intel related? ]

From: Chris Wilson <[email-masked]>
Date: Thu, 25 Jul 2013 18:01:44 +0100

On Thu, Jul 25, 2013 at 06:35:10PM +0200, Sedat Dilek wrote:
> On Thu, Jul 25, 2013 at 6:31 PM, Chris Wilson <[email-masked]> wrote:
> > On Thu, Jul 25, 2013 at 06:11:18PM +0200, Sedat Dilek wrote:
> >> Might be OT, but I cannot use my X graphics stack containing
> >> libdrm-2.4.46, mesa-9.1.5 and intel-ddx 2.21.12-git (tried also
> >> v2.21.11).
> >> Switching back to the one from Ubuntu/precise lets my X start.
> >>
> >>
> >> [    40.379] (II) AIGLX: enabled GLX_MESA_copy_sub_buffer
> >> [    40.379] (II) AIGLX: enabled GLX_INTEL_swap_event
> >> [    40.380] (II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
> >> [    40.380] (II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
> >> [    40.380] (II) AIGLX: Loaded and initialized i965
> >> [    40.380] (II) GLX: Initialized DRI2 GL provider for screen 0
> >> [    40.380]
> >> Fatal server error:
> >> [    40.380] failed to create screen resources
> >> [    40.380]
> >> Please consult the The X.Org Foundation support
> >>          at http://wiki.x.org
> >>  for help.
> >> [    40.380] Please also check the log file at "/var/log/Xorg.0.log"
> >> for additional information.
> >> [    40.380]
> >> [    40.380] (II) AIGLX: Suspending AIGLX clients for VT switch
> >> [    40.396]  ddxSigGiveUp: Closing log
> >> [    40.398] Server terminated with error (1). Closing log file.
> >
> > Please attach the full Xorg.0.log so that I can make a few guesses.
> 
> Linux-kernel: This happens with drm-intel-nightly pulled into next-20130725.

Basically boils down to either an object allocation failure or mmaping
failure. I think dmesg with drm.debug=7 is the next step.
-Chris

-- 
Chris Wilson, Intel Open Source Technology Centre